iOS 6 nog steeds kwetsbaar voor untether-exploit (jailbreak)

De kernel van iOS 6 is nog steeds kwetsbaar voor een exploit. Een exploit voor een kwetsbaarheid in de kernel is noodzakelijk om een jailbreak untethered te maken.

iOS 6 jailbreakDe kernel van iOS 6 is nog steeds kwetsbaar voor een exploit waarover het Chronic Dev Team sinds het begin van dit jaar beschikt. Een exploit voor een kwetsbaarheid in de kernel is noodzakelijk om een jailbreak untethered te maken, waarbij beveiligingsmechanismes in de kernel kunnen worden uitgeschakeld. Wanneer een jailbreak untethered is, is het niet nodig om de iPhone, iPod touch of iPad met een computer te verbinden als het toestel opnieuw opgestart wordt. De exploit heeft een belangrijke beperking, deze is namelijk niet geschikt voor de iPhone 3GS.

Als het Chronic Dev Team besluit om de kernel exploit ondanks de beperking te gebruiken voor een untethered jailbreak van iOS 6, dan zal dat met name een probleem vormen voor gebruikers van de iPhone 3GS met de nieuwe bootrom. De iPhone 3GS met de oude bootrom kan namelijk ook zonder de kernel exploit untethered gejailbreakt worden. De iPhone 4 en de 4e generatie iPod touch hebben aan de toevoeging van de untether exploit genoeg voor een untethered jailbreak op iOS 6. Het is echter waarschijnlijk dat een untether exploit voor iOS 6 pas in jailbreaktools zal verschijnen als ook alle andere kwetsbaarheden zijn gevonden en uitgebuit die nodig zijn voor een jailbreak op de iPad 2, iPad 3, iPhone 4S en iPhone 5. Voor iOS 5.1.1 was een keten van zeven verschillende kwetsbaarheden nodig om een jailbreak te realiseren.

Suggestie hoe we dit artikel kunnen verbeteren? Laat het ons weten!

Informatie

Laatst bijgewerkt 3 oktober 2012, 16:15
Categorie Jailbreak
Onderwerpen ios 6, jailbreak, untethered

Reacties zijn gesloten voor dit artikel.